Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.spi
Interface AuditAtnEvent

All Superinterfaces:
  AuditEvent

public interface AuditAtnEvent
extends AuditEvent

The `AuditAtnEvent` interface is used to post authentication audit events. The WebLogic Security Framework implements this interface and may post audit events for the following security events:

- The authentication of a user has succeeded.
- The authentication of a user has failed.
- Identity assertion to a user has succeeded.
- Identity assertion to a user has failed.
- Identity impersonation of a user has succeeded.
- Identity impersonation of a user has failed.
- Validation of principals has failed.
- A user has been locked by the user lockout manager.
- A user has been unlocked.
- A user lockout has expired.

An Authentication provider may also implement this interface and post additional types of authentication audit events.

An Auditing provider can use this interface to get additional information about the authentication audit event. The `AuditSeverity` and `AtnEventType` attributes can be used to determine which of the above audit events has been posted.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary
`static class` | `AuditAtnEvent.AtnEventType` Deprecated. The `AtnEventType` class describes the authentication event types that are supported.

Method Summary
`AuditAtnEvent.AtnEventType` | `getAtnEventType()` Deprecated. Gets the event type associated with this `AuditAtnEvent`.
`String` | `getUsername()` Deprecated. Gets the username associated with this `AuditAtnEvent`.

Methods inherited from interface weblogic.security.spi.AuditEvent
`getEventType, getFailureException, getSeverity, toString`

Method Detail

### getAtnEventType

    public AuditAtnEvent.AtnEventType getAtnEventType()

  Deprecated.
  Gets the event type associated with this `AuditAtnEvent`.

  Returns:
    the authentication event type.

### getUsername

    public String getUsername()

  Deprecated.
  Gets the username associated with this `AuditAtnEvent`.

  Returns:
    the username that is attempting to be authenticated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD